Subject: Re: linux-next: manual merge of the net-next tree with the net tree

From: David Miller <[email-masked]>
Date: Wed, 19 Jun 2013 20:37:12 -0700 (PDT)

From: Stephen Rothwell <[email-masked]>
Date: Thu, 20 Jun 2013 12:58:23 +1000

> Today's linux-next merge of the net-next tree got a conflict in
> net/wireless/nl80211.c between commit 3a5a423bb958 ("nl80211: fix attrbuf
> access race by allocating a separate one") from the net tree and commit
> 5fe231e87372 ("cfg80211: vastly simplify locking") from the net-next tree.
> 
> I fixed it up (see below) and can carry the fix as necessary (no action
> is required).

I did this merge a few hours ago and hit the same conflict.

Although I fixed the bug in that rtnl_unlock() is not performed in
all the return code paths.